Updates Delivery Address
Sample request:
PUT /customers/1/deliveryaddresses/2
{
"first_name": "John",
"last_name": "Smith",
"company": "Melbourne School",
"address_line1": "1 Any Street",
"address_line2": "2 Any Street",
"suburb": "Melbourne",
"state": "VIC",
"postcode": "4000",
"country": "Australia",
"phone": "0458245689",
"mobile": "0458245689",
"default": false
}
Path Parameters
Customer id
Example:10000
Delivery Address id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Delivery Address model
EmptyExample
Response
application/json
Response
Returns updated Delivery Address
DeliveryAddress
Delivery Address model
Country
Country Code
State
Suburb
Address line 1
Address line 2
Post code
Company
Mobile phone
Phone
First name
Last Name
Identifier
Is Default
Modified on
Path Parameters
Headers
Body
Searches Loyalty History by Customer id and other parameters
Searches Loyalty History by Customer id and other parameters
Query Parameters
Filter by.
Available field name values: created_on, order_id, order_number, product_id, supplier_sku, adjustment_reason_id, loyalty_points_delta, loyalty_points_available, ratio.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: order_id:eq:1, supplier_sku:eq:test
Order by.
Available field name values: id, created_on, order_id, product_id, adjustment_reason, loyalty_points_delta.
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Customer id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Loyalty History data
CustomerLoyaltyHistory.PagingResponse
Customer Loyalty History model
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets specific Loyalty History by unique Customer id and Loyalty History id
Gets specific Loyalty History by unique Customer id and Loyalty History id
Path Parameters
Customer id
Loyalty History id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns a Loyalty History
CustomerLoyaltyHistory
Customer Loyalty History model
Id
Created On
Order Item Model
Show Child Parameters
Loyalty Adjustment Reason Model
Show Child Parameters
Loyalty Points Delta
Loyalty Points Available
Ratio
Path Parameters
Headers
customersurveysegments
Searches Customer Survey Segments by parameters
Searches Customer Survey Segments by parameters
Query Parameters
Order by.
Available field name values: id (default), active, name
Available direction values: asc, desc.
Example: name desc
Filter by.
Available field name values: id, active, name
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:eq:19
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Customer Survey Segments data
CustomerSegmentGroup.PagingResponse
Customer segment group model